Page MenuHomePhabricator

E not starting "Startup Applications"
Open, Pending on user inputPublic

Description

E is not starting my startup applications. It seems to not support xdg ~/.local/share/autostart. It sees files from /etc/xdg/autostart, but activating those does not start them. Nor does it regular.

$ cat ~/.e/e/applications/startup/.order
syndaemon.desktop
ssh_dev_screen.desktop
nm-applet.desktop

When I log in I see text about it starting those. I am not sure if its failing to start them for some reason or another. I am not able to find any error log output. Not sure what is going on. Though I think on my desktop it is starting synergy. I added terminology and that is not starting, popping up after login.

$ cat ~/.e/e/applications/startup/.order
synergy.desktop
terminology.desktop

I think some of this maybe starting to soon. Like terminology starting before E is ready, so crashing or something. I know like nm-applet would require the shelf and systray. If systray is not running, not sure if it would load and already running applet. Either way those processes do not exist, so if they were started they crashed or were stopped.

wltjr created this task.Aug 1 2017, 9:09 AM
zmike added a comment.EditedAug 21 2017, 1:33 PM

I've (locally) added some handling for more xdg directories so they show up in the list, but I don't have any issues running e.g., nm-appplet as a startup app here. You may have to try strace or similar.

zmike triaged this task as Pending on user input priority.Aug 21 2017, 1:33 PM
wltjr added a comment.Aug 21 2017, 1:48 PM

I need to find out how to debug this. I see it trying to start stuff on my laptop. It seems to start things fine on my desktop. Same binaries and mostly same config on both, fun!

wltjr closed this task as Invalid.Aug 21 2017, 4:31 PM

This ended up being some odd DM issue. I dropped some code in entrance to fix background issues. Using default e/desktop/background vs some graphic. For what ever reason when I log in now, all the log in stuff is started now. Really odd but great timing!

wltjr reopened this task as Open.Sep 16 2017, 10:00 AM

Re-opening this as this continues to be an issue at times. Something is preventing startup applications from starting. Seems like if there is a problem with one it prevents the others. It started working for a bit, but then stopped again. I cannot explain what got it working and why it stopped. Its not working now in both e21 and e22 alpha

wltjr added a project: Restricted Project.Sep 16 2017, 10:01 AM
wltjr added a comment.Oct 3 2017, 5:12 PM

Still not able to track down issues. It is very sporadic and not consistent. Sometimes it starts every time I log in. Other time is does not start for a few sessions. I am not sure what I can do to debug startup. Seemed to be the same with 0.22.0 alpha, I have not tried beta due to location issues. I see its in the correct location now I will see if that is any better. I had strange gtk non-rendering issues under 0.22.0 alpha.